Linux Security
    Linux Security
    Linux Security

    Ubuntu 4538-1: PackageKit vulnerabilities

    Date
    114
    Posted By
    Several security issues were fixed in PackageKit.
    ==========================================================================
    Ubuntu Security Notice USN-4538-1
    September 24, 2020
    
    packagekit vulnerabilities
    ==========================================================================
    
    A security issue affects these releases of Ubuntu and its derivatives:
    
    - Ubuntu 20.04 LTS
    - Ubuntu 18.04 LTS
    - Ubuntu 16.04 LTS
    
    Summary:
    
    Several security issues were fixed in PackageKit.
    
    Software Description:
    - packagekit: Provides a package management service
    
    Details:
    
    Vaisha Bernard discovered that PackageKit incorrectly handled certain
    methods. A local attacker could use this issue to learn the MIME type of
    any file on the system. (CVE-2020-16121)
    
    Sami Niemimäki discovered that PackageKit incorrectly handled local deb
    packages. A local user could possibly use this issue to install untrusted
    packages, contrary to expectations. (CVE-2020-16122)
    
    Update instructions:
    
    The problem can be corrected by updating your system to the following
    package versions:
    
    Ubuntu 20.04 LTS:
      packagekit                      1.1.13-2ubuntu1.1
    
    Ubuntu 18.04 LTS:
      packagekit                      1.1.9-1ubuntu2.18.04.6
    
    Ubuntu 16.04 LTS:
      packagekit                      0.8.17-4ubuntu6~gcc5.4ubuntu1.5
    
    After a standard system update you need to reboot your computer to make all
    the necessary changes.
    
    References:
      https://usn.ubuntu.com/4538-1
      CVE-2020-16121, CVE-2020-16122
    
    Package Information:
      https://launchpad.net/ubuntu/+source/packagekit/1.1.13-2ubuntu1.1
      https://launchpad.net/ubuntu/+source/packagekit/1.1.9-1ubuntu2.18.04.6
      https://launchpad.net/ubuntu/+source/packagekit/0.8.17-4ubuntu6~gcc5.4ubuntu1.5
    
    

    Advisories

    LinuxSecurity Poll

    Tails is the most secure Linux distro out there.

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 2 answer(s).
    /main-polls/41-ubuntu-is-a-more-secure-distro-than-fedora?task=poll.vote&format=json
    41
    radio
    [{"id":"142","title":"Yes - Tails get my vote!","votes":"2","type":"x","order":"1","pct":100,"resources":[]},{"id":"143","title":"Nope - Parrot OS has surpassed Tails in its security and privacy.","votes":"0","type":"x","order":"2","pct":0,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350


    VIEW MORE POLLS

    bottom 200

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.